MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001119XdebugUsage problems (Wrong Results)public2015-03-01 17:232015-03-02 09:45
Reporterj0k 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformMacOSOS VersionOSX
Product Version2.3.0 
Target VersionFixed in Version2.3.2 
Summary0001119: Segmentation fault: 11
DescriptionI've just updated xdebug to 2.3.1 and the code coverage from phpunit doesn't work anymore.
I got random `Segmentation fault: 11` during my test suite. By random I mean that not the same test fail.

I've tried using xdebug 2.3.0 and got same segfault.

j0k@MBP:~/Sites/f43.me$ phpunit --coverage-html=build/coverage --debug
PHPUnit 4.5.0 by Sebastian Bergmann and contributors.

Configuration read from /Users/j0k/Sites/f43.me/phpunit.xml.dist


Starting test 'Api43\FeedBundle\Tests\Api43FeedBundleTest::testInitBundle'.
.
Starting test 'Api43\FeedBundle\Tests\Command\FetchItemsCommandTest::testNoParams'.
Segmentation fault: 11
j0k@MBP:~/Sites/f43.me$

If I launch the test suite only on this test (testNoParams), it goes fine. It seems to segfault after few tests (sometimes 2, sometimes 12).

I switched back to the 2.2.7 and every thing goes fine.

The remote_log doesn't display much information about the segfault. I got some lines when phpunit launch but nothing after:

Log opened at 2015-03-01 17:14:14
I: Connecting to configured address/port: localhost:9000.
I: Connected to client. :-)
-> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" [^] fileuri="file:///Users/j0k/.composer/vendor/phpunit/phpunit/phpunit" [^] language="PHP" protocol_version="1.0" appid="86048" idekey="j0k"><engine version="2.3.0"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[http://xdebug.org [^]]]></url><copyright><![CDATA[Copyright (c) 2002-2015 by Derick Rethans]]></copyright></init>
Steps To ReproduceI do not have a php script to reproduce since it seems related to phpunit.
Additional InformationPHP 5.5.22 (cli) (built: Mar 1 2015 10:21:55)
Copyright (c) 1997-2015 The PHP Group
Zend Engine v2.5.0, Copyright (c) 1998-2015 Zend Technologies
    with Zend OPcache v7.0.4, Copyright (c) 1999-2014, by Zend Technologies
    with Xdebug v2.3.0, Copyright (c) 2002-2015, by Derick Rethans
TagsNo tags attached.
Operating System
PHP Version5.5.20-5.5.25
Attached Files

- Relationships

-  Notes
(0003020)
derick (administrator)
2015-03-01 21:19

Could you please make a backtrace for me?

After installing gdb, run it like:

gdb --args php `which phpunit` --coverage-html=build/coverage --debug

You'll get a prompt, on which you can type "run". Then, when it crashes, type "bt full", and give me the *full* output.
(0003021)
j0k (reporter)
2015-03-01 21:41
edited on: 2015-03-01 21:42

No problem.
I run it several times and I get two different error message.
Here is the first kind of error message :

=======================================================

j0k@MBP:~/Sites/f43.me$ sudo gdb --args php `which phpunit` --coverage-html=build/coverage --debug
GNU gdb (GDB) 7.8.2
Copyright (C) 2014 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> [^]
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-apple-darwin14.1.0".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>. [^]
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>. [^]
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from php...(no debugging symbols found)...done.
(gdb) run
Starting program: /usr/local/bin/php /Users/j0k/.composer/vendor/bin/phpunit --coverage-html=build/coverage --debug
warning: Could not open OSO archive file "/BinaryCache/corecrypto/corecrypto-233.1.2~26/Symbols/BuiltProducts/libcorecrypto_static.a"
warning: `/BinaryCache/coreTLS/coreTLS-35.1.2~2/Objects/coretls.build/coretls.build/Objects-normal/x86_64/system_coretls_vers.o': can't open to read symbols: No such file or directory.
warning: Could not open OSO archive file "/BinaryCache/coreTLS/coreTLS-35.1.2~2/Symbols/BuiltProducts/libcoretls_ciphersuites.a"
warning: Could not open OSO archive file "/BinaryCache/coreTLS/coreTLS-35.1.2~2/Symbols/BuiltProducts/libcoretls_handshake.a"
warning: Could not open OSO archive file "/BinaryCache/coreTLS/coreTLS-35.1.2~2/Symbols/BuiltProducts/libcoretls_record.a"
warning: Could not open OSO archive file "/BinaryCache/coreTLS/coreTLS-35.1.2~2/Symbols/BuiltProducts/libcoretls_stream_parser.a"
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/bdz.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/bdz_ph.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/bmz.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/bmz8.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/brz.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/buffer_entry.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/buffer_manager.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/chd.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/chd_ph.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/chm.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/cmph.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/cmph_structs.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/compressed_rank.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/compressed_seq.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/fch.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/fch_buckets.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/graph.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/hash.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/jenkins_hash.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/linear_string_map.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/miller_rabin.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/select.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/vqueue.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/vstack.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/usefulstuff.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_branch_info.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_code_coverage.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_com.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_compat.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_handler_dbgp.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_handlers.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_hash.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_llist.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_private.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_profiler.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_set.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_stack.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_str.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_superglobals.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_trace_computerized.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_trace_html.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_trace_textual.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_tracing.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_var.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_xml.o': can't open to read symbols: No such file or directory.
PHPUnit 4.5.0 by Sebastian Bergmann and contributors.

Configuration read from /Users/j0k/Sites/f43.me/phpunit.xml.dist


Starting test 'Api43\FeedBundle\Tests\Api43FeedBundleTest::testInitBundle'.
.
Starting test 'Api43\FeedBundle\Tests\Command\FetchItemsCommandTest::testNoParams'.
php(2029,0x7fff71114300) malloc: *** error for object 0x104512190: incorrect checksum for freed object - object was probably modified after being freed.
*** set a breakpoint in malloc_error_break to debug

Program received signal SIGABRT, Aborted.
0x00007fff809b4286 in __pthread_kill () from /usr/lib/system/libsystem_kernel.dylib
(gdb) bt full
#0 0x00007fff809b4286 in __pthread_kill () from /usr/lib/system/libsystem_kernel.dylib
No symbol table info available.
#1 0x00007fff871cc42f in vtable for AACAudioFile () from /usr/lib/system/libsystem_pthread.dylib
No symbol table info available.
0000002 0x0000000000000000 in ?? ()
No symbol table info available.
(gdb)

=======================================================

Here is the second (much longer when typed `bt full`:

(gdb) run
The program being debugged has been started already.
Start it from the beginning? (y or n) y
Starting program: /usr/local/bin/php /Users/j0k/.composer/vendor/bin/phpunit --coverage-html=build/coverage --debug
warning: Could not open OSO archive file "/BinaryCache/corecrypto/corecrypto-233.1.2~26/Symbols/BuiltProducts/libcorecrypto_static.a"
warning: `/BinaryCache/coreTLS/coreTLS-35.1.2~2/Objects/coretls.build/coretls.build/Objects-normal/x86_64/system_coretls_vers.o': can't open to read symbols: No such file or directory.
warning: Could not open OSO archive file "/BinaryCache/coreTLS/coreTLS-35.1.2~2/Symbols/BuiltProducts/libcoretls_ciphersuites.a"
warning: Could not open OSO archive file "/BinaryCache/coreTLS/coreTLS-35.1.2~2/Symbols/BuiltProducts/libcoretls_handshake.a"
warning: Could not open OSO archive file "/BinaryCache/coreTLS/coreTLS-35.1.2~2/Symbols/BuiltProducts/libcoretls_record.a"
warning: Could not open OSO archive file "/BinaryCache/coreTLS/coreTLS-35.1.2~2/Symbols/BuiltProducts/libcoretls_stream_parser.a"
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/bdz.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/bdz_ph.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/bmz.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/bmz8.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/brz.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/buffer_entry.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/buffer_manager.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/chd.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/chd_ph.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/chm.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/cmph.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/cmph_structs.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/compressed_rank.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/compressed_seq.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/fch.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/fch_buckets.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/graph.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/hash.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/jenkins_hash.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/linear_string_map.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/miller_rabin.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/select.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/vqueue.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/vstack.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/usefulstuff.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_branch_info.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_code_coverage.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_com.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_compat.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_handler_dbgp.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_handlers.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_hash.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_llist.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_private.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_profiler.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_set.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_stack.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_str.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_superglobals.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_trace_computerized.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_trace_html.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_trace_textual.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_tracing.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_var.o': can't open to read symbols: No such file or directory.
warning: `/usr/local/Cellar/php55-xdebug/2.3.0/xdebug-2.3.0/.libs/xdebug_xml.o': can't open to read symbols: No such file or directory.
PHPUnit 4.5.0 by Sebastian Bergmann and contributors.

Configuration read from /Users/j0k/Sites/f43.me/phpunit.xml.dist


Starting test 'Api43\FeedBundle\Tests\Api43FeedBundleTest::testInitBundle'.
.
Starting test 'Api43\FeedBundle\Tests\Command\FetchItemsCommandTest::testNoParams'.

Program received signal SIGSEGV, Segmentation fault.
0x0000000102f77284 in add_line () from /usr/local/opt/php55-xdebug/xdebug.so
(gdb) bt full
#0 0x0000000102f77284 in add_line () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
#1 0x0000000102f812d9 in xdebug_hash_apply () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000002 0x0000000102f77109 in add_file () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000003 0x0000000102f812d9 in xdebug_hash_apply () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000004 0x00000001003a5763 in dtrace_execute_internal ()
No symbol table info available.
0000005 0x0000000102f7329a in xdebug_execute_internal () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000006 0x0000000100420812 in zend_do_fcall_common_helper_SPEC ()
No symbol table info available.
0000007 0x00000001003d7729 in execute_ex ()
No symbol table info available.
0000008 0x00000001003a569f in dtrace_execute_ex ()
No symbol table info available.
0000009 0x0000000102f72f69 in xdebug_execute_ex () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000010 0x0000000100420732 in zend_do_fcall_common_helper_SPEC ()
No symbol table info available.
0000011 0x00000001003d7729 in execute_ex ()
No symbol table info available.
0000012 0x00000001003a569f in dtrace_execute_ex ()
No symbol table info available.
0000013 0x0000000102f72f69 in xdebug_execute_ex () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000014 0x0000000100420732 in zend_do_fcall_common_helper_SPEC ()
No symbol table info available.
0000015 0x00000001003d7729 in execute_ex ()
No symbol table info available.
0000016 0x00000001003a569f in dtrace_execute_ex ()
No symbol table info available.
0000017 0x0000000102f72f69 in xdebug_execute_ex () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000018 0x0000000100420732 in zend_do_fcall_common_helper_SPEC ()
No symbol table info available.
0000019 0x00000001003d7729 in execute_ex ()
No symbol table info available.
0000020 0x00000001003a569f in dtrace_execute_ex ()
No symbol table info available.
0000021 0x0000000102f72f69 in xdebug_execute_ex () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000022 0x0000000100420732 in zend_do_fcall_common_helper_SPEC ()
No symbol table info available.
0000023 0x00000001003d7729 in execute_ex ()
No symbol table info available.
0000024 0x00000001003a569f in dtrace_execute_ex ()
No symbol table info available.
0000025 0x0000000102f72f69 in xdebug_execute_ex () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000026 0x0000000100420732 in zend_do_fcall_common_helper_SPEC ()
No symbol table info available.
0000027 0x00000001003d7729 in execute_ex ()
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
0000028 0x00000001003a569f in dtrace_execute_ex ()
No symbol table info available.
0000029 0x0000000102f72f69 in xdebug_execute_ex () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000030 0x0000000100420732 in zend_do_fcall_common_helper_SPEC ()
No symbol table info available.
0000031 0x00000001003d7729 in execute_ex ()
No symbol table info available.
0000032 0x00000001003a569f in dtrace_execute_ex ()
No symbol table info available.
0000033 0x0000000102f72f69 in xdebug_execute_ex () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000034 0x0000000100420732 in zend_do_fcall_common_helper_SPEC ()
No symbol table info available.
#35 0x00000001003d7729 in execute_ex ()
No symbol table info available.
0000036 0x00000001003a569f in dtrace_execute_ex ()
No symbol table info available.
0000037 0x0000000102f72f69 in xdebug_execute_ex () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000038 0x0000000100420732 in zend_do_fcall_common_helper_SPEC ()
No symbol table info available.
0000039 0x00000001003d7729 in execute_ex ()
No symbol table info available.
0000040 0x00000001003a569f in dtrace_execute_ex ()
No symbol table info available.
0000041 0x0000000102f72f69 in xdebug_execute_ex () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000042 0x0000000100420732 in zend_do_fcall_common_helper_SPEC ()
No symbol table info available.
0000043 0x00000001003d7729 in execute_ex ()
No symbol table info available.
0000044 0x00000001003a569f in dtrace_execute_ex ()
No symbol table info available.
0000045 0x0000000102f72f69 in xdebug_execute_ex () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000046 0x00000001003b38d6 in zend_execute_scripts ()
No symbol table info available.
0000047 0x000000010035e938 in php_execute_script ()
No symbol table info available.
0000048 0x0000000100442f28 in do_cli ()
No symbol table info available.
#49 0x0000000100441b8e in main ()
No symbol table info available.
(gdb)

=======================================================

And the third one using 2.3.1:

j0k@MBP:~/Sites/f43.me$ sudo gdb --args php `which phpunit` --coverage-html=build/coverage --debug
Password:
GNU gdb (GDB) 7.8.2
Copyright (C) 2014 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> [^]
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-apple-darwin14.1.0".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>. [^]
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>. [^]
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from php...(no debugging symbols found)...done.
(gdb) run
Starting program: /usr/local/bin/php /Users/j0k/.composer/vendor/bin/phpunit --coverage-html=build/coverage --debug
warning: Could not open OSO archive file "/BinaryCache/corecrypto/corecrypto-233.1.2~26/Symbols/BuiltProducts/libcorecrypto_static.a"
warning: `/BinaryCache/coreTLS/coreTLS-35.1.2~2/Objects/coretls.build/coretls.build/Objects-normal/x86_64/system_coretls_vers.o': can't open to read symbols: No such file or directory.
warning: Could not open OSO archive file "/BinaryCache/coreTLS/coreTLS-35.1.2~2/Symbols/BuiltProducts/libcoretls_ciphersuites.a"
warning: Could not open OSO archive file "/BinaryCache/coreTLS/coreTLS-35.1.2~2/Symbols/BuiltProducts/libcoretls_handshake.a"
warning: Could not open OSO archive file "/BinaryCache/coreTLS/coreTLS-35.1.2~2/Symbols/BuiltProducts/libcoretls_record.a"
warning: Could not open OSO archive file "/BinaryCache/coreTLS/coreTLS-35.1.2~2/Symbols/BuiltProducts/libcoretls_stream_parser.a"
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/bdz.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/bdz_ph.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/bmz.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/bmz8.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/brz.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/buffer_entry.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/buffer_manager.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/chd.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/chd_ph.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/chm.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/cmph.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/cmph_structs.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/compressed_rank.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/compressed_seq.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/fch.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/fch_buckets.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/graph.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/hash.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/jenkins_hash.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/linear_string_map.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/miller_rabin.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/select.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/vqueue.o': can't open to read symbols: No such file or directory.
warning: `/BinaryCache/cmph/cmph-1~1091/Objects/cmph.build/cmph.build/Objects-normal/x86_64/vstack.o': can't open to read symbols: No such file or directory.
PHPUnit 4.5.0 by Sebastian Bergmann and contributors.

Configuration read from /Users/j0k/Sites/f43.me/phpunit.xml.dist


Starting test 'Api43\FeedBundle\Tests\Api43FeedBundleTest::testInitBundle'.
.
Starting test 'Api43\FeedBundle\Tests\Command\FetchItemsCommandTest::testNoParams'.
.
Starting test 'Api43\FeedBundle\Tests\Command\FetchItemsCommandTest::testWrongSlug'.
.
Starting test 'Api43\FeedBundle\Tests\Command\FetchItemsCommandTest::testHN'.
.
Starting test 'Api43\FeedBundle\Tests\Command\FetchItemsCommandTest::testNew'.
.
Starting test 'Api43\FeedBundle\Tests\Command\FetchItemsCommandTest::testOld'.
.
Starting test 'Api43\FeedBundle\Tests\Command\RemoveItemsCommandTest::testRemoveAllAvailable'.
.
Starting test 'Api43\FeedBundle\Tests\Command\RemoveItemsCommandTest::testRemoveForOneFeed'.
.
Starting test 'Api43\FeedBundle\Tests\Command\RemoveItemsCommandTest::testRemoveBadSlug'.
.
Starting test 'Api43\FeedBundle\Tests\Command\RemoveItemsCommandTest::testRemoveAllMaxYes'.
.
Starting test 'Api43\FeedBundle\Tests\Command\RemoveItemsCommandTest::testRemoveAllMaxNo'.
.
Starting test 'Api43\FeedBundle\Tests\Command\RemoveItemsCommandTest::testRemove'.
.
Starting test 'Api43\FeedBundle\Tests\Controller\FeedControllerTest::testIndex'.
.
Starting test 'Api43\FeedBundle\Tests\Controller\FeedControllerTest::testUnAuthorized'.
.
Starting test 'Api43\FeedBundle\Tests\Controller\FeedControllerTest::testDashboard'.
.
Starting test 'Api43\FeedBundle\Tests\Controller\FeedControllerTest::testFeeds'.
.
Starting test 'Api43\FeedBundle\Tests\Controller\FeedControllerTest::testFeedNew'.

Program received signal SIGSEGV, Segmentation fault.
0x0000000102e80e95 in xdebug_hash_extended_find () from /usr/local/opt/php55-xdebug/xdebug.so
(gdb) bt full
#0 0x0000000102e80e95 in xdebug_hash_extended_find () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
#1 0x0000000102e771a0 in prefill_from_oparray () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000002 0x0000000102e76e94 in xdebug_prefill_code_coverage () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000003 0x0000000102e7736e in xdebug_code_coverage_start_of_function () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000004 0x0000000102e7390a in xdebug_execute_ex () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000005 0x0000000100420732 in zend_do_fcall_common_helper_SPEC ()
No symbol table info available.
0000006 0x00000001003d7729 in execute_ex ()
No symbol table info available.
0000007 0x00000001003a569f in dtrace_execute_ex ()
No symbol table info available.
0000008 0x0000000102e739a4 in xdebug_execute_ex () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000009 0x0000000100420732 in zend_do_fcall_common_helper_SPEC ()
No symbol table info available.
0000010 0x00000001003d7729 in execute_ex ()
No symbol table info available.
0000011 0x00000001003a569f in dtrace_execute_ex ()
No symbol table info available.
0000012 0x0000000102e739a4 in xdebug_execute_ex () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000013 0x0000000100420732 in zend_do_fcall_common_helper_SPEC ()
No symbol table info available.
0000014 0x00000001003d7729 in execute_ex ()
No symbol table info available.
0000015 0x00000001003a569f in dtrace_execute_ex ()
No symbol table info available.
0000016 0x0000000102e739a4 in xdebug_execute_ex () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000017 0x0000000100420732 in zend_do_fcall_common_helper_SPEC ()
No symbol table info available.
0000018 0x00000001003d7729 in execute_ex ()
No symbol table info available.
0000019 0x00000001003a569f in dtrace_execute_ex ()
No symbol table info available.
0000020 0x0000000102e739a4 in xdebug_execute_ex () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000021 0x0000000100420732 in zend_do_fcall_common_helper_SPEC ()
No symbol table info available.
0000022 0x00000001003d7729 in execute_ex ()
No symbol table info available.
0000023 0x00000001003a569f in dtrace_execute_ex ()
No symbol table info available.
0000024 0x0000000102e739a4 in xdebug_execute_ex () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000025 0x0000000100420732 in zend_do_fcall_common_helper_SPEC ()
No symbol table info available.
0000026 0x00000001003d7729 in execute_ex ()
No symbol table info available.
0000027 0x00000001003a569f in dtrace_execute_ex ()
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
0000028 0x0000000102e739a4 in xdebug_execute_ex () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000029 0x0000000100420732 in zend_do_fcall_common_helper_SPEC ()
No symbol table info available.
0000030 0x00000001003d7729 in execute_ex ()
No symbol table info available.
0000031 0x00000001003a569f in dtrace_execute_ex ()
No symbol table info available.
0000032 0x0000000102e739a4 in xdebug_execute_ex () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000033 0x0000000100420732 in zend_do_fcall_common_helper_SPEC ()
No symbol table info available.
0000034 0x00000001003d7729 in execute_ex ()
No symbol table info available.
#35 0x00000001003a569f in dtrace_execute_ex ()
No symbol table info available.
0000036 0x0000000102e739a4 in xdebug_execute_ex () from /usr/local/opt/php55-xdebug/xdebug.so
No symbol table info available.
0000037 0x00000001003b38d6 in zend_execute_scripts ()
No symbol table info available.
0000038 0x000000010035e938 in php_execute_script ()
No symbol table info available.
0000039 0x0000000100442f28 in do_cli ()
No symbol table info available.
0000040 0x0000000100441b8e in main ()
No symbol table info available.
(gdb)

(0003022)
derick (administrator)
2015-03-01 22:38

I think this is similar to 0001117 - could you please try the latest version from the "xdebug_2_3" branch in Github to see whether I've already fixed it?
(0003023)
j0k (reporter)
2015-03-02 06:53

You're right, this work great when using the "xdebug_2_3" branch !
(0003024)
derick (administrator)
2015-03-02 09:45

Perfect, I'll mark this as fixed then. A 2.3.2 release will likely follow next week.

- Issue History
Date Modified Username Field Change
2015-03-01 17:23 j0k New Issue
2015-03-01 21:19 derick Note Added: 0003020
2015-03-01 21:19 derick Assigned To => derick
2015-03-01 21:19 derick Status new => feedback
2015-03-01 21:41 j0k Note Added: 0003021
2015-03-01 21:41 j0k Status feedback => assigned
2015-03-01 21:42 j0k Note Edited: 0003021 View Revisions
2015-03-01 22:38 derick Note Added: 0003022
2015-03-01 22:38 derick Status assigned => feedback
2015-03-02 06:53 j0k Note Added: 0003023
2015-03-02 06:53 j0k Status feedback => assigned
2015-03-02 09:45 derick Note Added: 0003024
2015-03-02 09:45 derick Status assigned => closed
2015-03-02 09:45 derick Resolution open => fixed
2015-03-02 09:45 derick Fixed in Version => 2.3.2
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker